import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-accordionpanel {\n    display: flex;\n    flex-direction: column;\n    border-bottom: 1px solid ".concat(dt('accordion.content.border.color'), ";\n}\n\n.p-accordionpanel:last-child {\n    border-bottom: 0 none;\n}\n\n.p-accordionheader {\n    all: unset;\n    cursor: pointer;\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 1.125rem 1.125rem 1.125rem 1.125rem;\n    color: ").concat(dt('accordion.header.color'), ";\n    background: ").concat(dt('accordion.header.background'), ";\n    font-weight: 600;\n    border-radius: ").concat(dt('rounded.base'), ";\n    transition: color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-accordionpanel:not(.p-disabled) .p-accordionheader:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: -2px;\n}\n\n.p-accordionpanel:not(.p-accordionpanel-active):not(.p-disabled):hover > .p-accordionheader {\n    color: ").concat(dt('accordion.header.hover.color'), "\n}\n\n.p-accordionpanel:not(.p-disabled).p-accordionpanel-active > .p-accordionheader {\n    color: ").concat(dt('accordion.header.active.color'), "\n}\n\n.p-accordioncontent-content {\n    padding: 0 1.125rem 1.125rem 1.125rem;\n    background: color: ").concat(dt('accordion.content.background'), "\n    color: ").concat(dt('accordion.content.color'), "\n}\n");
};
var classes = {
  root: 'p-accordion p-component'
};
var AccordionStyle = BaseStyle.extend({
  name: 'accordion',
  theme: theme,
  classes: classes
});

export { AccordionStyle as default };
