import BaseStyle from 'primevue/base/style';
import { ObjectUtils } from 'primevue/utils';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-autocomplete {\n    display: inline-flex;\n}\n\n.p-autocomplete-loader {\n    position: absolute;\n    top: 50%;\n    margin-top: -0.5rem;\n    right: 0.75rem;\n}\n\n.p-autocomplete:has(.p-autocomplete-dropdown) .p-autocomplete-loader {\n    right: 3.25rem;\n}\n\n.p-autocomplete:has(.p-autocomplete-dropdown) .p-autocomplete-input {\n    flex: 1 1 auto;\n    width: 1%;\n}\n\n.p-autocomplete:has(.p-autocomplete-dropdown) .p-autocomplete-input,\n.p-autocomplete:has(.p-autocomplete-dropdown) .p-autocomplete-input-multiple {\n    border-top-right-radius: 0;\n    border-bottom-right-radius: 0;\n}\n\n.p-autocomplete-dropdown {\n    cursor: pointer;\n    display: inline-flex;\n    cursor: pointer;\n    user-select: none;\n    align-items: center;\n    justify-content: center;\n    overflow: hidden;\n    position: relative;\n    width: ".concat(dt('autocomplete.dropdown.width'), ";\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-right-radius: ").concat(dt('rounded.base'), ";\n    background: ").concat(dt('autocomplete.dropdown.background'), ";\n    border: 1px solid ").concat(dt('autocomplete.dropdown.border.color'), ";\n    border-left: 0 none;\n    background: ").concat(dt('autocomplete.dropdown.background'), ";\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-autocomplete-dropdown:not(:disabled):hover {\n    background: ").concat(dt('autocomplete.dropdown.hover.background'), ";\n    border-color: ").concat(dt('autocomplete.dropdown.hover.border.color'), ";\n    background: ").concat(dt('autocomplete.dropdown.hover.background'), ";\n}\n\n.p-autocomplete-dropdown:not(:disabled):active {\n    background: ").concat(dt('autocomplete.dropdown.active.background'), ";\n    border-color: ").concat(dt('autocomplete.dropdown.active.border.color'), ";\n    background: ").concat(dt('autocomplete.dropdown.active.background'), ";\n}\n\n.p-autocomplete-dropdown:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('button.primary.background'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-autocomplete .p-autocomplete-overlay {\n    min-width: 100%;\n}\n\n.p-autocomplete-overlay {\n    position: absolute;\n    overflow: auto;\n    top: 0;\n    left: 0;\n    background: ").concat(dt('autocomplete.overlay.background'), ";\n    color: ").concat(dt('autocomplete.overlay.color'), ";\n    border: 1px solid ").concat(dt('autocomplete.overlay.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n}\n\n.p-autocomplete-list {\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    padding: 0.25rem 0.25rem;\n}\n\n.p-autocomplete-option {\n    cursor: pointer;\n    white-space: nowrap;\n    position: relative;\n    overflow: hidden;\n    margin: 2px 0;\n    padding: 0.5rem 0.75rem;\n    border: 0 none;\n    color: ").concat(dt('autocomplete.item.color'), ";\n    background: transparent;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.sm'), ";\n}\n\n.p-autocomplete-option:first-child {\n    margin-top: 0;\n}\n\n.p-autocomplete-option:last-child {\n    margin-bottom: 0;\n}\n\n.p-autocomplete-option:not(.p-autocomplete-option-selected):not(.p-disabled).p-focus {\n    background: ").concat(dt('autocomplete.item.focus.background'), ";\n    color: ").concat(dt('autocomplete.item.focus.color'), ";\n}\n\n.p-autocomplete-option-selected {\n    background: ").concat(dt('autocomplete.item.selected.background'), ";\n    color: ").concat(dt('autocomplete.item.selected.color'), ";\n}\n\n.p-autocomplete-option-selected.p-focus {\n    background: ").concat(dt('autocomplete.item.selected.focus.background'), ";\n    color: ").concat(dt('autocomplete.item.selected.focus.color'), ";\n}\n\n.p-autocomplete-option-group {\n    margin: 0;\n    padding: 0.5rem 0.75rem;\n    color: ").concat(dt('autocomplete.item.group.color'), ";\n    background: ").concat(dt('autocomplete.item.group.background'), ";\n    font-weight: 600;\n}\n\n.p-autocomplete-input-multiple {\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    cursor: text;\n    overflow: hidden;\n    display: flex;\n    align-items: center;\n    flex-wrap: wrap;\n    padding: 0.25rem 0.25rem;\n    gap: 0.25rem;\n    color: ").concat(dt('autocomplete.input.multiple.color'), ";\n    background: ").concat(dt('autocomplete.input.multiple.background'), ";\n    border: 1px solid ").concat(dt('autocomplete.input.multiple.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    width: 100%;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n    box-shadow: ").concat(dt('autocomplete.input.multiple.box.shadow'), ";\n}\n\n.p-autocomplete:not(.p-disabled):hover .p-autocomplete-input-multiple {\n    border-color: ").concat(dt('autocomplete.input.multiple.hover.border.color'), ";\n}\n\n.p-autocomplete:not(.p-disabled).p-focus .p-autocomplete-input-multiple {\n    border-color: ").concat(dt('autocomplete.input.multiple.focus.border.color'), ";\n    outline: 0 none;\n}\n\n.p-autocomplete.p-invalid .p-autocomplete-input-multiple {\n    border-color: ").concat(dt('autocomplete.input.multiple.invalid.border.color'), ";\n}\n\n.p-variant-filled.p-autocomplete-input-multiple {\n    background: ").concat(dt('autocomplete.input.multiple.filled.background'), ";\n}\n\n.p-autocomplete:not(.p-disabled).p-focus .p-variant-filled.p-autocomplete-input-multiple  {\n    background: ").concat(dt('autocomplete.input.multiple.filled.focus.background'), ";\n}\n\n.p-autocomplete.p-disabled .p-autocomplete-input-multiple {\n    opacity: 1;\n    background: ").concat(dt('autocomplete.input.multiple.disabled.background'), ";\n    color: ").concat(dt('autocomplete.input.multiple.disabled.color'), ";\n}\n\n.p-autocomplete-input-chip {\n    flex: 1 1 auto;\n    display: inline-flex;\n    padding: 0.25rem 0;\n    margin-left: 0.5rem;\n}\n\n.p-autocomplete-input-chip input {\n    border: 0 none;\n    outline: 0 none;\n    background: transparent;\n    margin: 0;\n    padding: 0;\n    box-shadow: none;\n    border-radius: 0;\n    width: 100%;\n    font-family: inherit;\n    font-feature-settings: inherit;\n    font-size: 1rem;\n    color: inherit;\n}\n\n.p-autocomplete-input-chip input::placeholder {\n    color: ").concat(dt('autocomplete.input.multiple.placeholder.color'), ";\n}\n\n.p-fluid .p-autocomplete {\n    display: flex;\n}\n\n.p-fluid .p-autocomplete:has(.p-autocomplete-dropdown) .p-autocomplete-input {\n    width: 1%;\n}\n");
};
var inlineStyles = {
  root: {
    position: 'relative'
  }
};
var classes = {
  root: function root(_ref2) {
    var instance = _ref2.instance,
      props = _ref2.props;
    return ['p-autocomplete p-component p-inputwrapper', {
      'p-disabled': props.disabled,
      'p-invalid': props.invalid,
      'p-focus': instance.focused,
      'p-inputwrapper-filled': props.modelValue || ObjectUtils.isNotEmpty(instance.inputValue),
      'p-inputwrapper-focus': instance.focused,
      'p-autocomplete-open': instance.overlayVisible
    }];
  },
  input: 'p-autocomplete-input',
  container: function container(_ref3) {
    var props = _ref3.props,
      instance = _ref3.instance;
    return ['p-autocomplete-input-multiple', {
      'p-variant-filled': props.variant ? props.variant === 'filled' : instance.$primevue.config.inputStyle === 'filled'
    }];
  },
  token: function token(_ref4) {
    var instance = _ref4.instance,
      i = _ref4.i;
    return ['p-autocomplete-chip', {
      'p-focus': instance.focusedMultipleOptionIndex === i
    }];
  },
  tokenLabel: 'p-autocomplete-chip-label',
  removeTokenIcon: 'p-autocomplete-chip-icon',
  inputToken: 'p-autocomplete-input-chip',
  loadingIcon: 'p-autocomplete-loader',
  dropdownButton: 'p-autocomplete-dropdown',
  panel: function panel(_ref5) {
    var instance = _ref5.instance;
    return ['p-autocomplete-overlay p-component', {
      'p-ripple-disabled': instance.$primevue.config.ripple === false
    }];
  },
  list: 'p-autocomplete-list',
  itemGroup: 'p-autocomplete-option-group',
  item: function item(_ref6) {
    var instance = _ref6.instance,
      option = _ref6.option,
      i = _ref6.i,
      getItemOptions = _ref6.getItemOptions;
    return ['p-autocomplete-option', {
      'p-autocomplete-option-selected': instance.isSelected(option),
      'p-focus': instance.focusedOptionIndex === instance.getOptionIndex(i, getItemOptions),
      'p-disabled': instance.isOptionDisabled(option)
    }];
  },
  emptyMessage: 'p-autocomplete-empty-message'
};
var AutoCompleteStyle = BaseStyle.extend({
  name: 'autocomplete',
  theme: theme,
  classes: classes,
  inlineStyles: inlineStyles
});

export { AutoCompleteStyle as default };
