import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-breadcrumb {\n    background: ".concat(dt('breadcrumb.background'), ";\n    border: 0 none;\n    border-radius: ").concat(dt('rounded.base'), ";\n    padding: 1rem;\n    overflow-x: auto;\n}\n\n.p-breadcrumb-list {\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    display: flex;\n    align-items: center;\n    flex-wrap: nowrap;\n}\n\n.p-breadcrumb-separator {\n    display: flex;\n    align-items: center;\n    margin: 0 0.5rem 0 0.5rem;\n    color: ").concat(dt('breadcrumb.separator.color'), ";\n}\n\n.p-breadcrumb::-webkit-scrollbar {\n    display: none;\n}\n\n.p-breadcrumb-item-link {\n    text-decoration: none;\n    display: flex;\n    align-items: center;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    outline-color: transparent;\n}\n\n.p-breadcrumb-item-link:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-breadcrumb-item-link {\n    color: ").concat(dt('breadcrumb.item.color'), ";\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    line-height: 1;\n}\n\n.p-breadcrumb-item-label:hover {\n    color: ").concat(dt('breadcrumb.item.hover.color'), ";\n    line-height: 1;\n}\n\n.p-breadcrumb-item-icon {\n    color: ").concat(dt('breadcrumb.item.icon.color'), ";\n}\n");
};
var classes = {
  root: 'p-breadcrumb p-component',
  list: 'p-breadcrumb-list',
  homeItem: 'p-breadcrumb-home-item',
  separator: 'p-breadcrumb-separator',
  item: function item(_ref2) {
    var instance = _ref2.instance;
    return ['p-breadcrumb-item', {
      'p-disabled': instance.disabled()
    }];
  },
  itemLink: 'p-breadcrumb-item-link',
  icon: 'p-breadcrumb-item-icon',
  label: 'p-breadcrumb-item-label'
};
var BreadcrumbStyle = BaseStyle.extend({
  name: 'breadcrumb',
  theme: theme,
  classes: classes
});

export { BreadcrumbStyle as default };
