import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-card {\n    background: ".concat(dt('card.background'), ";\n    color: ").concat(dt('card.color'), ";\n    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px -1px rgba(0, 0, 0, 0.1);\n    border-radius: 12px;\n    display: flex;\n    flex-direction: column;\n}\n\n.p-card-caption {\n    display: flex;\n    flex-direction: column;\n    gap: 0.5rem;\n}\n\n.p-card-body {\n    padding: 1.5rem;\n    display: flex;\n    flex-direction: column;\n    gap: 1rem;\n}\n\n.p-card-title {\n    font-size: 1.25rem;\n    font-weight: 600;\n}\n\n.p-card-subtitle {\n    font-weight: 400;\n    color: ").concat(dt('card.subtitle.color'), ";\n}\n");
};
var classes = {
  root: 'p-card p-component',
  header: 'p-card-header',
  body: 'p-card-body',
  caption: 'p-card-caption',
  title: 'p-card-title',
  subtitle: 'p-card-subtitle',
  content: 'p-card-content',
  footer: 'p-card-footer'
};
var CardStyle = BaseStyle.extend({
  name: 'card',
  theme: theme,
  classes: classes
});

export { CardStyle as default };
