import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-cascadeselect {\n    display: inline-flex;\n    cursor: pointer;\n    position: relative;\n    user-select: none;\n    background: ".concat(dt('cascadeselect.background'), ";\n    border: 1px solid ").concat(dt('cascadeselect.border.color'), ";\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    outline-color: transparent;\n    box-shadow: ").concat(dt('cascadeselect.box.shadow'), ";\n}\n\n.p-cascadeselect:not(.p-disabled):hover {\n    border-color: ").concat(dt('cascadeselect.hover.border.color'), ";\n}\n\n.p-cascadeselect:not(.p-disabled).p-focus {\n    border-color: ").concat(dt('cascadeselect.focus.border.color'), ";\n    outline: 0 none;\n}\n\n.p-cascadeselect.p-variant-filled {\n    background: ").concat(dt('cascadeselect.filled.background'), ";\n}\n\n.p-cascadeselect.p-variant-filled.p-focus {\n    background: ").concat(dt('cascadeselect.filled.focus.background'), ";\n}\n\n.p-cascadeselect.p-invalid {\n    border-color: ").concat(dt('cascadeselect.invalid.border.color'), ";\n}\n\n.p-cascadeselect.p-disabled {\n    opacity: 1;\n    background: ").concat(dt('cascadeselect.disabled.background'), ";\n}\n\n.p-cascadeselect-dropdown {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    flex-shrink: 0;\n    background: transparent;\n    color: ").concat(dt('cascadeselect.toggle.color'), ";\n    width: 2.5rem;\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-right-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-cascadeselect-label {\n    display: block;\n    white-space: nowrap;\n    overflow: hidden;\n    flex: 1 1 auto;\n    width: 1%;\n    padding: 0.5rem 0.75rem;\n    text-overflow: ellipsis;\n    cursor: pointer;\n    color: ").concat(dt('cascadeselect.color'), ";\n    background: transparent;\n    border: 0 none;\n    outline: 0 none;\n}\n\n.p-cascadeselect-label.p-placeholder {\n    color: ").concat(dt('cascadeselect.placeholder.color'), ";\n}\n\n.p-cascadeselect-clearable .p-cascadeselect-label {\n    padding-right: 1.75rem;\n}\n\n.p-cascadeselect.p-disabled .p-cascadeselect-label {\n    color: ").concat(dt('cascadeselect.disabled.color'), ";\n}\n\n.p-cascadeselect-label-empty {\n    overflow: hidden;\n    visibility: hidden;\n}\n\n.p-fluid .p-cascadeselect {\n    display: flex;\n}\n\n.p-fluid .p-cascadeselect .p-cascadeselect-label {\n    width: 1%;\n}\n\n.p-cascadeselect-overlay {\n    background: ").concat(dt('cascadeselect.overlay.background'), ";\n    color: ").concat(dt('cascadeselect.overlay.color'), ";\n    border: 1px solid ").concat(dt('cascadeselect.overlay.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n}\n\n.p-cascadeselect .p-cascadeselect-overlay {\n    min-width: 100%;\n}\n\n.p-cascadeselect-item-list {\n    position: absolute;\n    min-width: 100%;\n    z-index: 1;\n    display: none;\n}\n\n.p-cascadeselect-list {\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    min-width: 100%;\n    padding: 0.25rem 0.25rem;\n}\n\n.p-cascadeselect-item {\n    cursor: pointer;\n    font-weight: normal;\n    white-space: nowrap;\n    margin: 2px 0;\n    border: 0 none;\n    color: ").concat(dt('cascadeselect.item.color'), ";\n    background: transparent;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.sm'), ";\n}\n\n.p-cascadeselect-item:first-child {\n    margin-top: 0;\n}\n\n.p-cascadeselect-item:last-child {\n    margin-bottom: 0;\n}\n\n.p-cascadeselect-item:not(.p-cascadeselect-item-selected):not(.p-disabled).p-focus {\n    background: ").concat(dt('cascadeselect.item.focus.background'), ";\n    color: ").concat(dt('cascadeselect.item.focus.color'), ";\n}\n\n.p-cascadeselect-item:not(.p-cascadeselect-item-selected):not(.p-disabled).p-focus .p-cascadeselect-group-icon {\n    color: ").concat(dt('cascadeselect.item.icon.focus.color'), ";\n}\n\n.p-cascadeselect-item-selected {\n    background: ").concat(dt('cascadeselect.item.selected.background'), ";\n    color: ").concat(dt('cascadeselect.item.selected.color'), ";\n}\n\n.p-cascadeselect-item-selected.p-focus {\n    background: ").concat(dt('cascadeselect.item.selected.focus.background'), ";\n    color: ").concat(dt('cascadeselect.item.selected.focus.color'), ";\n}\n\n.p-cascadeselect-item-active {\n    overflow: visible;\n    background: ").concat(dt('cascadeselect.item.focus.background'), ";\n    color: ").concat(dt('cascadeselect.item.focus.color'), ";\n}\n\n.p-cascadeselect-item-active > .p-cascadeselect-item-list {\n    display: block;\n    left: 100%;\n    top: 0;\n}\n\n.p-cascadeselect-item-content {\n    display: flex;\n    align-items: center;\n    overflow: hidden;\n    position: relative;\n    padding: 0.5rem 0.75rem;\n}\n\n.p-cascadeselect-group-icon {\n    margin-left: auto;\n    font-size: 0.875rem;\n    color: ").concat(dt('cascadeselect.item.icon.color'), ";\n}\n");
};
var inlineStyles = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return {
      position: props.appendTo === 'self' ? 'relative' : undefined
    };
  }
};
var classes = {
  root: function root(_ref3) {
    var instance = _ref3.instance,
      props = _ref3.props;
    return ['p-cascadeselect p-component p-inputwrapper', {
      'p-disabled': props.disabled,
      'p-invalid': props.invalid,
      'p-variant-filled': props.variant ? props.variant === 'filled' : instance.$primevue.config.inputStyle === 'filled',
      'p-focus': instance.focused,
      'p-inputwrapper-filled': props.modelValue,
      'p-inputwrapper-focus': instance.focused || instance.overlayVisible,
      'p-cascadeselect-open': instance.overlayVisible
    }];
  },
  label: function label(_ref4) {
    var instance = _ref4.instance,
      props = _ref4.props;
    return ['p-cascadeselect-label', {
      'p-placeholder': instance.label === props.placeholder,
      'p-cascadeselect-label-empty': !instance.$slots['value'] && (instance.label === 'p-emptylabel' || instance.label.length === 0)
    }];
  },
  dropdownButton: 'p-cascadeselect-dropdown',
  loadingIcon: 'p-cascadeselect-loading-icon',
  dropdownIcon: 'p-cascadeselect-dropdown-icon',
  panel: function panel(_ref5) {
    var instance = _ref5.instance;
    return ['p-cascadeselect-overlay p-component', {
      'p-ripple-disabled': instance.$primevue.config.ripple === false
    }];
  },
  wrapper: 'p-cascadeselect-list-container',
  rootList: 'p-cascadeselect-list',
  item: function item(_ref6) {
    var instance = _ref6.instance,
      processedOption = _ref6.processedOption;
    return ['p-cascadeselect-item', {
      'p-cascadeselect-item-active': instance.isOptionActive(processedOption),
      'p-cascadeselect-item-selected': instance.isOptionSelected(processedOption),
      'p-focus': instance.isOptionFocused(processedOption),
      'p-disabled': instance.isOptionDisabled(processedOption)
    }];
  },
  content: 'p-cascadeselect-item-content',
  text: 'p-cascadeselect-item-text',
  groupIcon: 'p-cascadeselect-group-icon',
  sublist: 'p-cascadeselect-overlay p-cascadeselect-item-list'
};
var CascadeSelectStyle = BaseStyle.extend({
  name: 'cascadeselect',
  theme: theme,
  classes: classes,
  inlineStyles: inlineStyles
});

export { CascadeSelectStyle as default };
