this.primevue = this.primevue || {};
this.primevue.contextmenu = this.primevue.contextmenu || {};
this.primevue.contextmenu.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var theme = function theme(_ref) {
      var dt = _ref.dt;
      return "\n.p-contextmenu {\n    padding: 0.25rem 0.25rem;\n    background: ".concat(dt('contextmenu.background'), ";\n    color: ").concat(dt('contextmenu.color'), ";\n    border: 1px solid ").concat(dt('contextmenu.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n    min-width: 12.5rem;\n}\n\n.p-contextmenu-root-list,\n.p-contextmenu-submenu {\n    margin: 0;\n    padding: 0;\n    list-style: none;\n    outline: 0 none;\n}\n\n.p-contextmenu-submenu {\n    position: absolute;\n    min-width: 100%;\n    z-index: 1;\n    padding: 0.25rem 0.25rem;\n    background: ").concat(dt('contextmenu.background'), ";\n    color: ").concat(dt('contextmenu.color'), ";\n    border: 1px solid ").concat(dt('contextmenu.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n}\n\n.p-contextmenu-item {\n    position: relative;\n    margin: 2px 0;\n}\n\n.p-contextmenu-item:first-child {\n    margin-top: 0;\n}\n.p-contextmenu-item:last-child {\n    margin-bottom: 0;\n}\n\n.p-contextmenu-item-content {\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.sm'), ";\n    color: ").concat(dt('contextmenu.item.color'), ";\n}\n\n.p-contextmenu-item-link {\n    cursor: pointer;\n    display: flex;\n    align-items: center;\n    text-decoration: none;\n    overflow: hidden;\n    position: relative;\n    color: inherit;\n    padding: 0.5rem 0.75rem;\n    user-select: none;\n}\n\n.p-contextmenu-item-label {\n    line-height: 1;\n}\n\n.p-contextmenu-item-icon {\n    color: ").concat(dt('contextmenu.item.icon.color'), ";\n    margin-right: 0.5rem;\n}\n\n.p-contextmenu-submenu-icon {\n    color: ").concat(dt('contextmenu.item.icon.color'), ";\n    margin-left: auto;\n    font-size: 0.875rem;\n    width: 0.875rem;\n    height: 0.875rem;\n}\n\n.p-contextmenu-item.p-focus > .p-contextmenu-item-content {\n    color: ").concat(dt('contextmenu.item.focus.color'), ";\n    background: ").concat(dt('contextmenu.item.focus.background'), ";\n}\n\n.p-contextmenu-item.p-focus > .p-contextmenu-item-content .p-contextmenu-item-icon,\n.p-contextmenu-item.p-focus > .p-contextmenu-item-content .p-contextmenu-submenu-icon {\n    color: ").concat(dt('contextmenu.item.icon.focus.color'), ";\n}\n\n.p-contextmenu-item:not(.p-disabled) > .p-contextmenu-item-content:hover {\n    color: ").concat(dt('contextmenu.item.focus.color'), ";\n    background: ").concat(dt('contextmenu.item.focus.background'), ";\n}\n\n.p-contextmenu-item:not(.p-disabled) > .p-contextmenu-item-content:hover .p-contextmenu-item-icon,\n.p-contextmenu-item:not(.p-disabled) > .p-contextmenu-item-content:hover .p-contextmenu-submenu-icon {\n    color: ").concat(dt('contextmenu.item.icon.focus.color'), ";\n}\n\n.p-contextmenu-item-active > .p-contextmenu-item-content {\n    color: ").concat(dt('contextmenu.item.focus.color'), ";\n    background: ").concat(dt('contextmenu.item.focus.background'), ";\n}\n\n.p-contextmenu-item-active > .p-contextmenu-item-content .p-contextmenu-item-icon,\n.p-contextmenu-item-active > .p-contextmenu-item-content .p-contextmenu-submenu-icon {\n    color: ").concat(dt('contextmenu.item.icon.focus.color'), ";\n}\n\n.p-contextmenu-separator {\n    border-top: 1px solid  ").concat(dt('contextmenu.separator.border.color'), ";\n    margin: 2px 0;\n}\n\n.p-contextmenu-enter-from,\n.p-contextmenu-leave-active {\n    opacity: 0;\n}\n\n.p-contextmenu-enter-active {\n    transition: opacity 250ms;\n}\n");
    };
    var classes = {
      root: function root(_ref2) {
        var instance = _ref2.instance;
        return ['p-contextmenu p-component', {
          'p-ripple-disabled': instance.$primevue.config.ripple === false
        }];
      },
      rootList: 'p-contextmenu-root-list',
      item: function item(_ref3) {
        var instance = _ref3.instance,
          processedItem = _ref3.processedItem;
        return ['p-contextmenu-item', {
          'p-contextmenu-item-active': instance.isItemActive(processedItem),
          'p-focus': instance.isItemFocused(processedItem),
          'p-disabled': instance.isItemDisabled(processedItem)
        }];
      },
      itemContent: 'p-contextmenu-item-content',
      itemLink: 'p-contextmenu-item-link',
      itemIcon: 'p-contextmenu-item-icon',
      itemLabel: 'p-contextmenu-item-label',
      submenuIcon: 'p-contextmenu-submenu-icon',
      submenu: 'p-contextmenu-submenu',
      separator: 'p-contextmenu-separator'
    };
    var ContextMenuStyle = BaseStyle__default["default"].extend({
      name: 'contextmenu',
      theme: theme,
      classes: classes
    });

    return ContextMenuStyle;

})(primevue.base.style);
