import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-dataview-header {\n    background: ".concat(dt('dataview.header.background'), ";\n    color: ").concat(dt('dataview.header.color'), ";\n    border: 1px solid ").concat(dt('dataview.header.border.color'), ";\n    border-width: 0 0 1px 0;\n    padding: 0.75rem 1rem;\n}\n\n.p-dataview-content {\n    background: ").concat(dt('dataview.content.background'), ";\n    color: ").concat(dt('dataview.content.color'), ";\n}\n\n.p-dataview-footer {\n    background: ").concat(dt('dataview.footer.background'), ";\n    color: ").concat(dt('dataview.footer.color'), ";\n    border: 1px solid ").concat(dt('dataview.footer.border.color'), ";\n    border-width: 1px 0 0 0;\n    padding: 0.75rem 1rem;\n}\n\n.p-dataview-paginator-top {\n    border: solid ").concat(dt('dataview.header.border.color'), ";\n    border-width: 0 0 1px 0;\n}\n\n.p-dataview-paginator-bottom {\n    border: solid ").concat(dt('dataview.footer.border.color'), ";\n    border-width: 1px 0 0 0;\n}\n");
};
var classes = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return ['p-dataview p-component', {
      'p-dataview-list': props.layout === 'list',
      'p-dataview-grid': props.layout === 'grid'
    }];
  },
  header: 'p-dataview-header',
  paginator: function paginator(_ref3) {
    var position = _ref3.position;
    return 'p-dataview-paginator-' + position;
  },
  content: 'p-dataview-content',
  emptyMessage: 'p-dataview-empty-message',
  // TODO: remove?
  footer: 'p-dataview-footer'
};
var DataViewStyle = BaseStyle.extend({
  name: 'dataview',
  theme: theme,
  classes: classes
});

export { DataViewStyle as default };
