import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-datepicker {\n    display: inline-flex;\n    max-width: 100%;\n}\n\n.p-datepicker-input {\n    flex: 1 1 auto;\n    width: 1%;\n}\n\n.p-datepicker:has(.p-datepicker-dropdown) .p-datepicker-input {\n    border-top-right-radius: 0;\n    border-bottom-right-radius: 0;\n}\n\n.p-datepicker-dropdown {\n    cursor: pointer;\n    display: inline-flex;\n    cursor: pointer;\n    user-select: none;\n    align-items: center;\n    justify-content: center;\n    overflow: hidden;\n    position: relative;\n    width: ".concat(dt('datepicker.dropdown.width'), ";\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-right-radius: ").concat(dt('rounded.base'), ";\n    background: ").concat(dt('datepicker.dropdown.background'), ";\n    border: 1px solid ").concat(dt('datepicker.dropdown.border.color'), ";\n    border-left: 0 none;\n    background: ").concat(dt('datepicker.dropdown.background'), ";\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-datepicker-dropdown:not(:disabled):hover {\n    background: ").concat(dt('datepicker.dropdown.hover.background'), ";\n    border-color: ").concat(dt('datepicker.dropdown.hover.border.color'), ";\n    background: ").concat(dt('datepicker.dropdown.hover.background'), ";\n}\n\n.p-datepicker-dropdown:not(:disabled):active {\n    background: ").concat(dt('datepicker.dropdown.active.background'), ";\n    border-color: ").concat(dt('datepicker.dropdown.active.border.color'), ";\n    background: ").concat(dt('datepicker.dropdown.active.background'), ";\n}\n\n.p-datepicker-dropdown:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-datepicker:has(.p-datepicker-input-icon) {\n    position: relative;\n}\n\n.p-datepicker:has(.p-datepicker-input-icon) .p-datepicker-input {\n    padding-right: 2.5rem;\n}\n\n.p-datepicker-input-icon {\n    cursor: pointer;\n    position: absolute;\n    top: 50%;\n    right: .75rem;\n    margin-top: -.5rem;\n}\n\n.p-fluid .p-datepicker {\n    display: flex;\n}\n\n.p-fluid .p-datepicker-input {\n    width: 1%;\n}\n\n.p-datepicker .p-datepicker-panel {\n    min-width: 100%;\n}\n\n.p-datepicker-panel {\n    width: auto;\n    padding: 0.75rem;\n    background: ").concat(dt('datepicker.background'), ";\n    color: ").concat(dt('datepicker.color'), ";\n    border: 1px solid ").concat(dt('datepicker.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n}\n\n.p-datepicker-panel-inline {\n    display: inline-block;\n    overflow-x: auto;\n    box-shadow: none;\n}\n\n.p-datepicker-header {\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 0 0 0.5rem 0;\n    font-weight: 500;\n    background: ").concat(dt('datepicker.header.background'), ";\n    color: ").concat(dt('datepicker.header.color'), ";\n    border-bottom: 1px solid ").concat(dt('datepicker.header.border.color'), ";\n}\n\n.p-datepicker-title {\n    margin: 0 auto;\n    line-height: 1.75rem;\n}\n\n.p-datepicker-view-year,\n.p-datepicker-view-month {\n    font-weight: 500;\n    padding: 0.25rem;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n}\n\n.p-datepicker-view-month {\n    margin-right: 0.5rem;\n    color: ").concat(dt('datepicker.month.picker.color'), ";\n}\n\n.p-datepicker-view-year {\n    margin-right: 0.5rem;\n    color: ").concat(dt('datepicker.year.picker.color'), ";\n}\n\n.p-datepicker-view-month:enabled:hover {\n    background: ").concat(dt('datepicker.month.picker.hover.background'), ";\n    color: ").concat(dt('datepicker.month.picker.hover.color'), ";\n}\n\n.p-datepicker-view-year:enabled:hover {\n    background: ").concat(dt('datepicker.year.picker.hover.background'), ";\n    color: ").concat(dt('datepicker.year.picker.hover.color'), ";\n}\n\n.p-datepicker-datepicker-container {\n    display: flex;\n}\n\n.p-datepicker-datepicker-container .p-datepicker-datepicker {\n    flex: 1 1 auto;\n    border-left: 1px solid ").concat(dt('datepicker.group.border.color'), ";\n    padding-right: 0.75rem;\n    padding-left: 0.75rem;\n    padding-top: 0;\n    padding-bottom: 0;\n}\n\n.p-datepicker-datepicker-container .p-datepicker-datepicker:first-child {\n    padding-left: 0;\n    border-left: 0 none;\n}\n\n.p-datepicker-datepicker-container .p-datepicker-datepicker:last-child {\n    padding-right: 0;\n}\n\n.p-datepicker-day-view {\n    width: 100%;\n    border-collapse: collapse;\n    font-size: 1rem;\n    margin: 0.5rem 0 0 0;\n}\n\n.p-datepicker-weekday-cell {\n    padding: 0.25rem;\n}\n\n.p-datepicker-weekday {\n    font-weight: 500;\n}\n\n.p-datepicker-day-cell {\n    padding: 0.25rem;\n}\n\n.p-datepicker-day {\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    cursor: pointer;\n    margin: 0 auto;\n    overflow: hidden;\n    position: relative;\n    width: 2rem;\n    height: 2rem;\n    border-radius: 50%;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border: 1px solid transparent;\n    outline-color: transparent;\n    color: ").concat(dt('datepicker.date.color'), ";\n}\n\n.p-datepicker-day:not(.p-datepicker-day-selected):not(.p-disabled):hover {\n    background: ").concat(dt('datepicker.date.hover.background'), ";\n    color: ").concat(dt('datepicker.date.hover.color'), ";\n}\n\n.p-datepicker-day:focus-visible {\n    outline: 1px solid ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-datepicker-day-selected {\n    background: ").concat(dt('datepicker.date.selected.background'), ";\n    color: ").concat(dt('datepicker.date.selected.color'), ";\n}\n\n.p-datepicker-today > .p-datepicker-day {\n    background: ").concat(dt('datepicker.today.background'), ";\n    color: ").concat(dt('datepicker.today.color'), ";\n}\n\n.p-datepicker-today > .p-datepicker-day-selected {\n    background: ").concat(dt('datepicker.date.selected.background'), ";\n    color: ").concat(dt('datepicker.date.selected.color'), ";\n}\n\n.p-datepicker-month-view {\n    margin: 0.5rem 0 0 0;\n}\n\n.p-datepicker-month {\n    width: 33.3%;\n    display: inline-flex;\n    align-items: center;\n    justify-content: center;\n    cursor: pointer;\n    overflow: hidden;\n    position: relative;\n    padding: 0.25rem;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    outline-color: transparent;\n    color: ").concat(dt('datepicker.month.color'), ";\n}\n\n.p-datepicker-month:not(.p-disabled):not(.p-datepicker-month-selected):hover {\n    color:  ").concat(dt('datepicker.month.hover.color'), ";\n    background: ").concat(dt('datepicker.month.hover.background'), ";\n}\n\n.p-datepicker-month-selected {\n    color: ").concat(dt('datepicker.month.selected.color'), ";\n    background: ").concat(dt('datepicker.month.selected.background'), ";\n}\n\n.p-datepicker-month:not(.p-disabled):focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " solid ").concat(dt('focus.ring.color'), ";\n    outline-offset: 0;\n}\n\n.p-datepicker-year-view {\n    margin: 0.5rem 0 0 0;\n}\n\n.p-datepicker-year {\n    width: 50%;\n    display: inline-flex;\n    align-items: center;\n    justify-content: center;\n    cursor: pointer;\n    overflow: hidden;\n    position: relative;\n    padding: 0.25rem;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    outline-color: transparent;\n    color: ").concat(dt('datepicker.year.color'), ";\n}\n\n.p-datepicker-year:not(.p-disabled):not(.p-datepicker-year-selected):hover {\n    color:  ").concat(dt('datepicker.year.hover.color'), ";\n    background: ").concat(dt('datepicker.year.hover.background'), ";\n}\n\n.p-datepicker-year-selected {\n    color: ").concat(dt('datepicker.year.selected.color'), ";\n    background: ").concat(dt('datepicker.year.selected.background'), ";\n}\n\n.p-datepicker-year:not(.p-disabled):focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " solid ").concat(dt('focus.ring.color'), ";\n    outline-offset: 0;\n}\n\n.p-datepicker-buttonbar {\n    display: flex;\n    justify-content: space-between;\n    align-items: center;\n    padding: 0.5rem 0 0 0;\n    border-top: 1px solid ").concat(dt('datepicker.buttonbar.border.color'), ";\n}\n\n.p-datepicker-buttonbar .p-button {\n    width: auto;\n}\n\n.p-datepicker-time-picker {\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    border-top: 1px solid ").concat(dt('datepicker.timepicker.border.color'), ";\n    padding: 0;\n}\n\n.p-datepicker-datepicker-group + .p-timepicker {\n    margin-top: 0.5rem;\n    padding-top: 0.5rem;\n}\n\n.p-datepicker-time-picker > div {\n    display: flex;\n    align-items: center;\n    flex-direction: column;\n    padding: 0 0.5rem;\n}\n\n.p-datepicker-time-picker button:last-child {\n    margin-top: 0.2em;\n}\n\n.p-datepicker-time-picker span {\n    font-size: 1rem;\n}\n\n.p-datepicker-timeonly .p-datepicker-time-picker {\n    border-top: 0 none;\n}\n");
};
var inlineStyles = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return {
      position: props.appendTo === 'self' ? 'relative' : undefined
    };
  }
};
var classes = {
  root: function root(_ref3) {
    var props = _ref3.props,
      state = _ref3.state;
    return ['p-datepicker p-component p-inputwrapper', {
      'p-invalid': props.invalid,
      'p-inputwrapper-filled': props.modelValue,
      'p-inputwrapper-focus': state.focused,
      'p-focus': state.focused || state.overlayVisible
    }];
  },
  input: 'p-datepicker-input',
  dropdownButton: 'p-datepicker-dropdown',
  inputIconContainer: 'p-datepicker-input-icon-container',
  inputIcon: 'p-datepicker-input-icon',
  panel: function panel(_ref4) {
    var instance = _ref4.instance,
      props = _ref4.props;
    return ['p-datepicker-panel p-component', {
      'p-datepicker-panel-inline': props.inline,
      'p-disabled': props.disabled,
      'p-datepicker-timeonly': props.timeOnly,
      'p-ripple-disabled': instance.$primevue.config.ripple === false
    }];
  },
  group: 'p-datepicker-calendar-container',
  calendar: 'p-datepicker-calendar',
  header: 'p-datepicker-header',
  previousButton: 'p-datepicker-prev-button',
  title: 'p-datepicker-title',
  monthTitle: 'p-datepicker-view-month p-link',
  yearTitle: 'p-datepicker-view-year p-link',
  decadeTitle: 'p-datepicker-decade',
  nextButton: 'p-datepicker-next-button',
  grid: 'p-datepicker-day-view',
  weekHeader: 'p-datepicker-weekheader p-disabled',
  weekNumber: 'p-datepicker-weeknumber',
  weekLabelContainer: 'p-disabled',
  weekDay: 'p-datepicker-weekday-cell',
  weekDayLabel: 'p-date-picker-weekday',
  day: function day(_ref5) {
    var date = _ref5.date;
    return ['p-datepicker-day-cell', {
      'p-datepicker-other-month': date.otherMonth,
      'p-datepicker-today': date.today
    }];
  },
  dayLabel: function dayLabel(_ref6) {
    var instance = _ref6.instance,
      props = _ref6.props,
      date = _ref6.date;
    return ['p-datepicker-day', {
      'p-datepicker-day-selected': instance.isSelected(date) && date.selectable,
      'p-disabled': props.disabled || !date.selectable
    }];
  },
  monthPicker: 'p-datepicker-month-view',
  month: function month(_ref7) {
    var instance = _ref7.instance,
      props = _ref7.props,
      _month = _ref7.month,
      index = _ref7.index;
    return ['p-datepicker-month', {
      'p-datepicker-month-selected': instance.isMonthSelected(index),
      'p-disabled': props.disabled || !_month.selectable
    }];
  },
  yearPicker: 'p-datepicker-year-view',
  year: function year(_ref8) {
    var instance = _ref8.instance,
      props = _ref8.props,
      _year = _ref8.year;
    return ['p-datepicker-year', {
      'p-datepicker-year-selected': instance.isYearSelected(_year.value),
      'p-disabled': props.disabled || !_year.selectable
    }];
  },
  timePicker: 'p-datepicker-time-picker',
  hourPicker: 'p-datepicker-hour-picker',
  incrementButton: 'p-datepicker-increment-button',
  decrementButton: 'p-datepicker-decrement-button',
  separatorContainer: 'p-datepicker-separator',
  minutePicker: 'p-minute-picker',
  secondPicker: 'p-second-picker',
  ampmPicker: 'p-ampm-picker',
  buttonbar: 'p-datepicker-buttonbar',
  todayButton: 'p-datepicker-today-button',
  clearButton: 'p-datepicker-clear-button'
};
var DatePickerStyle = BaseStyle.extend({
  name: 'datepicker',
  theme: theme,
  classes: classes,
  inlineStyles: inlineStyles
});

export { DatePickerStyle as default };
