'use strict';

var BaseStyle = require('primevue/base/style');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-fieldset {\n    background: ".concat(dt('fieldset.background'), ";\n    border: 1px solid ").concat(dt('fieldset.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    color: ").concat(dt('fieldset.color'), ";\n    padding: 0 1.125rem 1.125rem 1.125rem;\n    margin: 0;\n}\n\n.p-fieldset-legend {\n    font-weight: 600;\n    border-radius: 6px;\n    border: 0 none;\n    padding: 0.5rem 0.75rem;\n    margin-bottom: 0.375rem;\n}\n\n.p-fieldset-toggleable > .p-fieldset-legend {\n    padding: 0;\n}\n\n.p-fieldset-toggleable > .p-fieldset-legend > a {\n    cursor: pointer;\n    user-select: none;\n    overflow: hidden;\n    position: relative;\n    text-decoration: none;\n    display: flex;\n    gap: 0.5rem;\n    align-items: center;\n    justify-content: center;\n    padding: 0.5rem 0.75rem;\n    color: ").concat(dt('fieldset.legend.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    transition: background ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-fieldset-toggleable > .p-fieldset-legend > a:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-fieldset-toggleable > .p-fieldset-legend > a:hover {\n    color: ").concat(dt('fieldset.legend.hover.color'), ";\n    background: ").concat(dt('fieldset.legend.hover.background'), ";\n}\n\n.p-fieldset-toggle-icon {\n    color: ").concat(dt('fieldset.toggle.icon.color'), ";\n    transition: color ").concat(dt('transition.duration'), ";\n}\n\n.p-fieldset-toggleable > .p-fieldset-legend > a:hover > .p-fieldset-toggle-icon {\n    color: ").concat(dt('fieldset.toggle.icon.hover.color'), ";\n}\n\n.p-fieldset .p-fieldset-content {\n    padding: 0;\n}\n");
};
var classes = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return ['p-fieldset p-component', {
      'p-fieldset-toggleable': props.toggleable
    }];
  },
  legend: 'p-fieldset-legend',
  legendLabel: 'p-fieldset-legend-label',
  toggleIcon: 'p-fieldset-toggle-icon',
  contentContainer: 'p-fieldset-content-container',
  content: 'p-fieldset-content'
};
var FieldsetStyle = BaseStyle__default["default"].extend({
  name: 'fieldset',
  theme: theme,
  classes: classes
});

module.exports = FieldsetStyle;
