import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-inplace-display {\n    display: inline;\n    cursor: pointer;\n    padding: 0.5rem 0.75rem;\n    border-radius: ".concat(dt('rounded.base'), ";\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-inplace-display:not(.p-disabled):hover {\n    background: ").concat(dt('inplace.display.hover.background'), ";\n    color: ").concat(dt('inplace.display.hover.color'), ";\n}\n\n.p-inplace-display:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-inplace-content {\n    display: inline;\n}\n");
};
var classes = {
  root: 'p-inplace p-component',
  display: function display(_ref2) {
    var props = _ref2.props;
    return ['p-inplace-display', {
      'p-disabled': props.disabled
    }];
  },
  content: 'p-inplace-content'
};
var InplaceStyle = BaseStyle.extend({
  name: 'inplace',
  theme: theme,
  classes: classes
});

export { InplaceStyle as default };
