import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-megamenu {\n    display: flex;\n    position: relative;\n    padding: 0.5rem 0.5rem;\n    background: ".concat(dt('megamenu.background'), ";\n    color: ").concat(dt('megamenu.color'), ";\n    border: 1px solid ").concat(dt('megamenu.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-megamenu-root-list {\n    margin: 0;\n    padding: 0;\n    outline: 0;\n    list-style: none;\n}\n\n.p-megamenu-item-content {\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.sm'), ";\n    color: ").concat(dt('megamenu.item.color'), ";\n}\n\n.p-megamenu-item-link {\n    cursor: pointer;\n    display: flex;\n    align-items: center;\n    text-decoration: none;\n    overflow: hidden;\n    position: relative;\n    color: inherit;\n    padding: 0.5rem 0.75rem;\n    user-select: none;\n}\n\n.p-megamenu-item-label {\n    line-height: 1;\n}\n\n.p-megamenu-item-icon {\n    color: ").concat(dt('megamenu.item.icon.color'), ";\n    margin-right: 0.5rem;\n}\n\n.p-megamenu-item.p-focus > .p-megamenu-item-content {\n    color: ").concat(dt('megamenu.item.focus.color'), ";\n    background: ").concat(dt('megamenu.item.focus.background'), ";\n}\n\n.p-megamenu-item.p-focus > .p-megamenu-item-content .p-megamenu-item-icon,\n.p-megamenu-item.p-focus > .p-megamenu-item-content .p-megamenu-submenu-icon {\n    color: ").concat(dt('megamenu.item.icon.focus.color'), ";\n}\n\n.p-megamenu-item:not(.p-disabled) > .p-megamenu-item-content:hover {\n    color: ").concat(dt('megamenu.item.focus.color'), ";\n    background: ").concat(dt('megamenu.item.focus.background'), ";\n}\n\n.p-megamenu-item:not(.p-disabled) > .p-megamenu-item-content:hover .p-megamenu-item-icon,\n.p-megamenu-item:not(.p-disabled) > .p-megamenu-item-content:hover .p-megamenu-submenu-icon {\n    color: ").concat(dt('megamenu.item.icon.focus.color'), ";\n}\n\n.p-megamenu-item-active > .p-megamenu-item-content {\n    color: ").concat(dt('megamenu.item.focus.color'), ";\n    background: ").concat(dt('megamenu.item.focus.background'), ";\n}\n\n.p-megamenu-item-active > .p-megamenu-item-content .p-megamenu-item-icon,\n.p-megamenu-item-active > .p-megamenu-item-content .p-megamenu-submenu-icon {\n    color: ").concat(dt('megamenu.item.icon.focus.color'), ";\n}\n\n.p-megamenu-submenu-icon {\n    color: ").concat(dt('megamenu.item.icon.color'), ";\n    margin-left: 0.5rem;\n    font-size: 0.875rem;\n    width: 0.875rem;\n    height: 0.875rem;\n}\n\n.p-megamenu-panel {\n    display: none;\n    position: absolute;\n    width: auto;\n    z-index: 1;\n    left: 0;\n    min-width: 100%;\n    background: ").concat(dt('megamenu.background'), ";\n    color: ").concat(dt('megamenu.color'), ";\n    border: 1px solid ").concat(dt('megamenu.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1)\n}\n\n.p-megamenu-root-list > .p-megamenu-item-active > .p-megamenu-panel {\n    display: block;\n}\n\n.p-megamenu-submenu {\n    margin: 0;\n    list-style: none;\n    padding: 0.25rem 0.25rem;\n    min-width: 12.5rem;\n}\n\n.p-megamenu-submenu .p-megamenu-item {\n    margin: 2px 0;\n}\n\n.p-megamenu-submenu .p-megamenu-item:first-child {\n    margin-top: 0;\n}\n\n.p-megamenu-submenu .p-megamenu-item:last-child {\n    margin-bottom: 0;\n}\n\n.p-megamenu-submenu .p-megamenu-submenu-item {\n    margin: 0;\n    padding: 0.5rem 0.75rem;\n    color: ").concat(dt('megamenu.submenu.header.color'), ";\n    font-weight: 600;\n    margin-bottom: 2px;\n}\n\n.p-megamenu-submenu .p-menuitem-separator {\n    border-top: 1px solid ").concat(dt('megamenu.separator.border.color'), ";\n    margin: 2px 0;\n}\n\n.p-megamenu-horizontal {\n    align-items: center;\n}\n\n.p-megamenu-horizontal .p-megamenu-root-list {\n    display: flex;\n    align-items: center;\n    flex-wrap: wrap;\n}\n\n.p-megamenu-horizontal .p-megamenu-end {\n    margin-left: auto;\n    align-self: center;\n}\n\n.p-megamenu-vertical {\n    display: inline-flex;\n    flex-direction: column;\n    min-width: 12.5rem;\n    padding: 0.25rem 0.25rem;\n}\n\n.p-megamenu-vertical .p-megamenu-root-list {\n    flex-direction: column;\n}\n\n.p-megamenu-vertical .p-megamenu-root-list > .p-megamenu-item-active > .p-megamenu-panel {\n    left: 100%;\n    top: 0;\n}\n\n.p-megamenu-vertical .p-megamenu-root-list > .p-megamenu-item > .p-megamenu-item-content .p-megamenu-submenu-icon {\n    margin-left: auto;\n}\n\n.p-megamenu-grid {\n    display: flex;\n}\n\n.p-megamenu-col-2,\n.p-megamenu-col-3,\n.p-megamenu-col-4,\n.p-megamenu-col-6,\n.p-megamenu-col-12 {\n    flex: 0 0 auto;\n    padding: 0.5rem;\n}\n\n.p-megamenu-col-2 {\n    width: 16.6667%;\n}\n\n.p-megamenu-col-3 {\n    width: 25%;\n}\n\n.p-megamenu-col-4 {\n    width: 33.3333%;\n}\n\n.p-megamenu-col-6 {\n    width: 50%;\n}\n\n.p-megamenu-col-12 {\n    width: 100%;\n}\n\n.p-megamenu-button {\n    display: none;\n    justify-content: center;\n    align-items: center;\n    cursor: pointer;\n    width: 1.75rem;\n    height: 1.75rem;\n    position: relative;\n    color: ").concat(dt('megamenu.mobile.toggle.color'), ";\n    border: 0 none;\n    background: transparent;\n    border-radius: 50%;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-megamenu-button:hover {\n    color: ").concat(dt('megamenu.mobile.toggle.hover.color'), ";\n    background: ").concat(dt('megamenu.mobile.toggle.hover.background'), ";\n}\n\n.p-megamenu-button:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-megamenu-mobile {\n    display: flex;\n}\n\n.p-megamenu-mobile .p-megamenu-button {\n    display: flex;\n}\n\n.p-megamenu-mobile .p-megamenu-root-list {\n    position: absolute;\n    display: none;\n    flex-direction: column;\n    top: 100%;\n    left: 0;\n    z-index: 1;\n    width: 100%;\n    padding: 0.25rem 0.25rem;\n    background: ").concat(dt('megamenu.background'), ";\n    border: 1px solid ").concat(dt('megamenu.border.color'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n    gap: 2px;\n}\n\n.p-megamenu-mobile-active .p-megamenu-root-list {\n    display: flex;\n}\n\n.p-megamenu-mobile .p-megamenu-root-list .p-megamenu-item {\n    width: 100%;\n    position: static;\n}\n\n.p-megamenu-mobile .p-megamenu-panel {\n    position: static;\n    border: 0 none;\n    border-radius: 0;\n    box-shadow: none;\n}\n\n.p-megamenu-mobile .p-megamenu-grid {\n    flex-wrap: wrap;\n    overflow: auto;\n    max-height: 90%;\n}\n\n.p-megamenu-mobile .p-megamenu-root-list > .p-megamenu-item > .p-megamenu-item-content .p-megamenu-submenu-icon {\n    margin-left: auto;\n    transition: transform 0.2s;\n}\n\n.p-megamenu-mobile .p-megamenu-root-list > .p-megamenu-item-active > .p-megamenu-item-content .p-megamenu-submenu-icon {\n    transform: rotate(-180deg);\n}\n");
};
var inlineStyles = {
  submenu: function submenu(_ref2) {
    var instance = _ref2.instance,
      processedItem = _ref2.processedItem;
    return {
      display: instance.isItemActive(processedItem) ? 'block' : 'none'
    };
  }
};
var classes = {
  root: function root(_ref3) {
    var instance = _ref3.instance;
    return ['p-megamenu p-component', {
      'p-megamenu-mobile': instance.queryMatches,
      'p-megamenu-mobile-active': instance.mobileActive,
      'p-megamenu-horizontal': instance.horizontal,
      'p-megamenu-vertical': instance.vertical
    }];
  },
  start: 'p-megamenu-start',
  button: 'p-megamenu-button',
  rootList: 'p-megamenu-root-list',
  submenuItem: function submenuItem(_ref4) {
    var instance = _ref4.instance,
      processedItem = _ref4.processedItem;
    return ['p-megamenu-submenu-item', {
      'p-disabled': instance.isItemDisabled(processedItem)
    }];
  },
  item: function item(_ref5) {
    var instance = _ref5.instance,
      processedItem = _ref5.processedItem;
    return ['p-megamenu-item', {
      'p-megamenu-item-active': instance.isItemActive(processedItem),
      'p-focus': instance.isItemFocused(processedItem),
      'p-disabled': instance.isItemDisabled(processedItem)
    }];
  },
  itemContent: 'p-megamenu-item-content',
  itemLink: 'p-megamenu-item-link',
  itemIcon: 'p-megamenu-item-icon',
  label: 'p-megamenu-item-text',
  submenuIcon: 'p-megamenu-submenu-icon',
  panel: 'p-megamenu-panel',
  grid: 'p-megamenu-grid',
  column: function column(_ref6) {
    var instance = _ref6.instance,
      processedItem = _ref6.processedItem;
    var length = instance.isItemGroup(processedItem) ? processedItem.items.length : 0;
    var columnClass;
    if (instance.$parentInstance.queryMatches) columnClass = 'p-megamenu-col-12';else {
      switch (length) {
        case 2:
          columnClass = 'p-megamenu-col-6';
          break;
        case 3:
          columnClass = 'p-megamenu-col-4';
          break;
        case 4:
          columnClass = 'p-megamenu-col-3';
          break;
        case 6:
          columnClass = 'p-megamenu-col-2';
          break;
        default:
          columnClass = 'p-megamenu-col-12';
          break;
      }
    }
    return columnClass;
  },
  submenu: 'p-megamenu-submenu',
  submenuItemLabel: 'p-megamenu-submenu-item-label',
  separator: 'p-megamenu-separator',
  end: 'p-megamenu-end'
};
var MegaMenuStyle = BaseStyle.extend({
  name: 'megamenu',
  theme: theme,
  classes: classes,
  inlineStyles: inlineStyles
});

export { MegaMenuStyle as default };
