import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-menu {\n    padding: 0.25rem 0.25rem;\n    background: ".concat(dt('menu.background'), ";\n    color: ").concat(dt('menu.color'), ";\n    border: 1px solid ").concat(dt('menu.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    min-width: 12.5rem;\n}\n\n.p-menu-list {\n    margin: 0;\n    padding: 0;\n    outline: 0;\n    list-style: none;\n}\n\n.p-menu-item {\n    margin: 2px 0;\n}\n\n.p-menu-item:first-child {\n    margin-top: 0;\n}\n\n.p-menu-item:last-child {\n    margin-bottom: 0;\n}\n\n.p-menu-item-link {\n    cursor: pointer;\n    display: flex;\n    align-items: center;\n    text-decoration: none;\n    overflow: hidden;\n    position: relative;\n    color: inherit;\n    padding: 0.5rem 0.75rem;\n    user-select: none;\n}\n\n.p-menu-item-content {\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ";\n    border-radius:  ").concat(dt('rounded.sm'), ";\n    color: ").concat(dt('menu.item.color'), ";\n}\n\n.p-menu-item-label {\n    line-height: 1;\n}\n\n.p-menu-item-icon {\n    color: ").concat(dt('menu.item.icon.color'), ";\n    margin-right: 0.5rem;\n}\n\n.p-menu-item.p-focus .p-menu-item-content {\n    color: ").concat(dt('menu.item.focus.color'), ";\n    background: ").concat(dt('menu.item.focus.background'), ";\n}\n\n.p-menu-item.p-focus .p-menu-item-icon {\n    color: ").concat(dt('menu.item.icon.focus.color'), ";\n}\n\n.p-menu-item:not(.p-disabled) .p-menu-item-content:hover {\n    color: ").concat(dt('menu.item.focus.color'), ";\n    background: ").concat(dt('menu.item.focus.background'), ";\n}\n\n.p-menu-item:not(.p-disabled) .p-menu-item-content:hover .p-menu-item-icon {\n    color: ").concat(dt('menu.item.icon.focus.color'), ";\n}\n\n.p-menu-overlay {\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n}\n\n.p-menu-submenu-item {\n    margin: 0;\n    padding: 0.5rem 0.75rem;\n    color: ").concat(dt('menu.submenu.header.color'), ";\n    font-weight: 600;\n}\n\n.p-menu-separator {\n    border-top: 1px solid ").concat(dt('menu.separator.border.color.color'), ";\n    margin: 2px 0;\n}\n");
};
var classes = {
  root: function root(_ref2) {
    var instance = _ref2.instance,
      props = _ref2.props;
    return ['p-menu p-component', {
      'p-menu-overlay': props.popup,
      'p-ripple-disabled': instance.$primevue.config.ripple === false
    }];
  },
  start: 'p-menu-start',
  list: 'p-menu-list',
  submenuItem: 'p-menu-submenu-item',
  separator: 'p-menu-separator',
  end: 'p-menu-end',
  item: function item(_ref3) {
    var instance = _ref3.instance;
    return ['p-menu-item', {
      'p-focus': instance.id === instance.focusedOptionId,
      'p-disabled': instance.disabled()
    }];
  },
  itemContent: 'p-menu-item-content',
  itemLink: 'p-menu-item-link',
  itemIcon: 'p-menu-item-icon',
  label: 'p-menu-item-label'
};
var MenuStyle = BaseStyle.extend({
  name: 'menu',
  theme: theme,
  classes: classes
});

export { MenuStyle as default };
