'use strict';

var BaseStyle = require('primevue/base/style');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-metergroup {\n    display: flex;\n    gap: 1rem;\n}\n\n.p-metergroup-meters {\n    display: flex;\n    background: ".concat(dt('metergroup.meters.background'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-metergroup-meter {\n    border: 0 none;\n}\n\n.p-metergroup-label-list {\n    display: flex;\n    flex-wrap: wrap;\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n}\n\n.p-metergroup-label {\n    display: inline-flex;\n    align-items: center;\n    gap: 0.5rem;\n}\n\n.p-metergroup-label-marker {\n    display: inline-flex;\n    width: 0.5rem;\n    height: 0.5rem;\n    border-radius: 100%;\n}\n\n.p-metergroup-label-icon {\n    width: 1rem;\n    height: 1rem;\n}\n\n.p-metergroup-horizontal {\n    flex-direction: column;\n}\n\n.p-metergroup-label-list-horizontal {\n    gap: 1rem;\n}\n\n.p-metergroup-horizontal .p-metergroup-meters {\n    height: 0.5rem;\n}\n\n.p-metergroup-horizontal .p-metergroup-meter:first-of-type {\n    border-top-left-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-left-radius: ").concat(dt('rounded.base'), ";\n}\n.p-metergroup-horizontal .p-metergroup-meter:last-of-type {\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-right-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-metergroup-vertical {\n    flex-direction: row;\n}\n\n.p-metergroup-label-list-vertical {\n    flex-direction: column;\n    gap: 0.5rem;\n}\n\n.p-metergroup-vertical .p-metergroup-meters {\n    flex-direction: column;\n    width: 0.5rem;\n    height: 100%;\n}\n\n.p-metergroup-vertical .p-metergroup-label-list {\n    align-items: start;\n}\n\n.p-metergroup-vertical .p-metergroup-meter:first-of-type {\n    border-top-left-radius: ").concat(dt('rounded.base'), ";\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n}\n.p-metergroup-vertical .p-metergroup-meter:last-of-type {\n    border-bottom-left-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-right-radius: ").concat(dt('rounded.base'), ";\n}\n");
};
var classes = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return ['p-metergroup p-component', {
      'p-metergroup-horizontal': props.orientation === 'horizontal',
      'p-metergroup-vertical': props.orientation === 'vertical'
    }];
  },
  meters: 'p-metergroup-meters',
  meter: 'p-metergroup-meter',
  labelList: function labelList(_ref3) {
    var props = _ref3.props;
    return ['p-metergroup-label-list', {
      'p-metergroup-label-list-vertical': props.labelOrientation === 'vertical',
      'p-metergroup-label-list-horizontal': props.labelOrientation === 'horizontal'
    }];
  },
  label: 'p-metergroup-label',
  labelIcon: 'p-metergroup-label-icon',
  labelMarker: 'p-metergroup-label-marker',
  labelText: 'p-metergroup-label-text'
};
var MeterGroupStyle = BaseStyle__default["default"].extend({
  name: 'metergroup',
  theme: theme,
  classes: classes
});

module.exports = MeterGroupStyle;
