import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-multiselect {\n    display: inline-flex;\n    cursor: pointer;\n    position: relative;\n    user-select: none;\n    background: ".concat(dt('multiselect.background'), ";\n    border: 1px solid ").concat(dt('multiselect.border.color'), ";\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    outline-color: transparent;\n    box-shadow: ").concat(dt('multiselect.box.shadow'), ";\n}\n\n.p-multiselect:not(.p-disabled):hover {\n    border-color: ").concat(dt('multiselect.hover.border.color'), ";\n}\n\n.p-multiselect:not(.p-disabled).p-focus {\n    border-color: ").concat(dt('multiselect.focus.border.color'), ";\n    outline: 0 none;\n}\n\n.p-multiselect.p-variant-filled {\n    background: ").concat(dt('multiselect.filled.background'), ";\n}\n\n.p-multiselect.p-variant-filled.p-focus {\n    background: ").concat(dt('multiselect.filled.focus.background'), ";\n}\n\n.p-multiselect.p-invalid {\n    border-color: ").concat(dt('multiselect.invalid.border.color'), ";\n}\n\n.p-multiselect.p-disabled {\n    opacity: 1;\n    background: ").concat(dt('multiselect.disabled.background'), ";\n}\n\n.p-multiselect-dropdown {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    flex-shrink: 0;\n    background: transparent;\n    color: ").concat(dt('multiselect.toggle.color'), ";\n    width: 2.5rem;\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-bottom-right-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-multiselect-label-container {\n    overflow: hidden;\n    flex: 1 1 auto;\n    cursor: pointer;\n}\n\n.p-multiselect-label {\n    display: block;\n    white-space: nowrap;\n    cursor: pointer;\n    overflow: hidden;\n    text-overflow: ellipsis;\n    padding: 0.5rem 0.75rem;\n    color: ").concat(dt('multiselect.color'), ";\n}\n\n.p-multiselect-label.p-placeholder {\n    color: ").concat(dt('multiselect.placeholder.color'), ";\n}\n\n.p-multiselect.p-disabled .p-multiselect-label {\n    color: ").concat(dt('multiselect.disabled.color'), ";\n}\n\n.p-inputwrapper-filled.p-multiselect.p-multiselect-display-chip .p-multiselect-label {\n    padding: 0.25rem 0.25rem;\n}\n\n.p-multiselect-label-empty {\n    overflow: hidden;\n    visibility: hidden;\n}\n\n.p-multiselect .p-multiselect-overlay {\n    min-width: 100%;\n}\n\n.p-multiselect-overlay {\n    position: absolute;\n    top: 0;\n    left: 0;\n    background: ").concat(dt('multiselect.overlay.background'), ";\n    color: ").concat(dt('multiselect.overlay.color'), ";\n    border: 1px solid ").concat(dt('multiselect.overlay.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n}\n\n.p-multiselect-header {\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 0.5rem 1rem 0 1rem;\n}\n\n.p-multiselect-header .p-checkbox {\n    margin-right: 0.5rem;\n}\n\n.p-multiselect-filter-container {\n    position: relative;\n    flex: 1 1 auto;\n}\n\n.p-multiselect-filter-icon {\n    position: absolute;\n    top: 50%;\n    margin-top: -0.5rem;\n    right: 0.75rem;\n    color: ").concat(dt('multiselect.filter.icon.color'), ";\n}\n\n.p-multiselect-filter-container .p-inputtext {\n    width: 100%;\n    padding-right: 1.75rem;\n}\n\n.p-multiselect-list-container {\n    overflow: auto;\n}\n\n.p-multiselect-list {\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    padding: 0.25rem 0.25rem;\n}\n\n.p-multiselect-option {\n    cursor: pointer;\n    font-weight: normal;\n    white-space: nowrap;\n    position: relative;\n    overflow: hidden;\n    display: flex;\n    align-items: center;\n    margin: 2px 0;\n    padding: 0.5rem 0.75rem;\n    border: 0 none;\n    color: ").concat(dt('multiselect.item.color'), ";\n    background: transparent;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.sm'), ";\n}\n\n.p-multiselect-option:first-child {\n    margin-top: 0;\n}\n\n.p-multiselect-option:last-child {\n    margin-bottom: 0;\n}\n\n.p-multiselect-option:not(.p-multiselect-option-selected):not(.p-disabled).p-focus {\n    background: ").concat(dt('multiselect.item.focus.background'), ";\n    color: ").concat(dt('multiselect.item.focus.color'), ";\n}\n\n.p-multiselect-option.p-multiselect-option-selected {\n    background: ").concat(dt('multiselect.item.selected.background'), ";\n    color: ").concat(dt('multiselect.item.selected.color'), ";\n}\n\n.p-multiselect-option.p-multiselect-option-selected.p-focus {\n    background: ").concat(dt('multiselect.item.selected.focus.background'), ";\n    color: ").concat(dt('multiselect.item.selected.focus.color'), ";\n}\n\n.p-multiselect-option .p-checkbox {\n    margin-right: 0.5rem;\n}\n\n.p-multiselect-option-group {\n    cursor: auto;\n    margin: 0;\n    padding: 0.5rem 0.75rem;\n    color: ").concat(dt('multiselect.item.group.color'), ";\n    background: ").concat(dt('multiselect.item.group.background'), ";\n    font-weight: 600;\n}\n\n.p-multiselect-empty-message {\n    padding: 0.5rem 0.75rem;\n    background: transparent;\n}\n\n.p-fluid .p-multiselect {\n    display: flex;\n}\n");
};
var inlineStyles = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return {
      position: props.appendTo === 'self' ? 'relative' : undefined
    };
  }
};
var classes = {
  root: function root(_ref3) {
    var instance = _ref3.instance,
      props = _ref3.props;
    return ['p-multiselect p-component p-inputwrapper', {
      'p-multiselect-display-chip': props.display === 'chip',
      'p-disabled': props.disabled,
      'p-invalid': props.invalid,
      'p-variant-filled': props.variant ? props.variant === 'filled' : instance.$primevue.config.inputStyle === 'filled',
      'p-focus': instance.focused,
      'p-inputwrapper-filled': props.modelValue && props.modelValue.length,
      'p-inputwrapper-focus': instance.focused || instance.overlayVisible,
      'p-multiselect-open': instance.overlayVisible
    }];
  },
  labelContainer: 'p-multiselect-label-container',
  label: function label(_ref4) {
    var instance = _ref4.instance,
      props = _ref4.props;
    return ['p-multiselect-label', {
      'p-placeholder': instance.label === props.placeholder,
      'p-multiselect-label-empty': !props.placeholder && (!props.modelValue || props.modelValue.length === 0)
    }];
  },
  token: 'p-multiselect-chip',
  tokenLabel: 'p-multiselect-chip-label',
  removeTokenIcon: 'p-multiselect-chip-icon',
  trigger: 'p-multiselect-dropdown',
  loadingIcon: 'p-multiselect-loading-icon',
  dropdownIcon: 'p-multiselect-dropdown-icon',
  panel: function panel(_ref5) {
    var instance = _ref5.instance;
    return ['p-multiselect-overlay p-component', {
      'p-ripple-disabled': instance.$primevue.config.ripple === false
    }];
  },
  header: 'p-multiselect-header',
  filterContainer: 'p-multiselect-filter-container',
  filterInput: 'p-multiselect-filter',
  filterIcon: 'p-multiselect-filter-icon',
  wrapper: 'p-multiselect-list-container',
  list: 'p-multiselect-list',
  itemGroup: 'p-multiselect-option-group',
  item: function item(_ref6) {
    var instance = _ref6.instance,
      option = _ref6.option,
      index = _ref6.index,
      getItemOptions = _ref6.getItemOptions,
      props = _ref6.props;
    return ['p-multiselect-option', {
      'p-multiselect-option-selected': instance.isSelected(option) && props.highlightOnSelect,
      'p-focus': instance.focusedOptionIndex === instance.getOptionIndex(index, getItemOptions),
      'p-disabled': instance.isOptionDisabled(option)
    }];
  },
  emptyMessage: 'p-multiselect-empty-message'
};
var MultiSelectStyle = BaseStyle.extend({
  name: 'multiselect',
  theme: theme,
  classes: classes,
  inlineStyles: inlineStyles
});

export { MultiSelectStyle as default };
