import BaseStyle from 'primevue/base/style';

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-paginator {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    flex-wrap: wrap;\n    background: ".concat(dt('paginator.background'), ";\n    color: ").concat(dt('paginator.color'), ";\n    border: 0 none;\n    padding: 0.5rem 1rem;\n    border-radius: ").concat(dt('rounded.base'), ";\n    gap: 0.25rem;\n}\n\n.p-paginator-content-start {\n    margin-right: auto;\n}\n\n.p-paginator-content-end {\n    margin-left: auto;\n}\n\n.p-paginator-page,\n.p-paginator-next,\n.p-paginator-last,\n.p-paginator-first,\n.p-paginator-prev {\n    cursor: pointer;\n    display: inline-flex;\n    align-items: center;\n    justify-content: center;\n    line-height: 1;\n    user-select: none;\n    overflow: hidden;\n    position: relative;\n    background: transparent;\n    border: 0 none;\n    color: ").concat(dt('paginator.navigator.color'), ";\n    min-width: 2.5rem;\n    height: 2.5rem;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: 50%;\n    padding: 0;\n    margin: 0;\n}\n\n.p-paginator-page:focus-visible,\n.p-paginator-next:focus-visible,\n.p-paginator-last:focus-visible,\n.p-paginator-first:focus-visible,\n.p-paginator-prev:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-paginator-page:not(.p-disabled):not(.p-paginator-page-active):hover,\n.p-paginator-first:not(.p-disabled):hover,\n.p-paginator-prev:not(.p-disabled):hover,\n.p-paginator-next:not(.p-disabled):hover,\n.p-paginator-last:not(.p-disabled):hover {\n    background: ").concat(dt('paginator.navigator.hover.background'), ";\n    color: ").concat(dt('paginator.navigator.hover.color'), ";\n}\n\n.p-paginator-current {\n    color: ").concat(dt('paginator.current.page.report.color'), ";\n}\n\n.p-paginator-pages {\n    display: flex;\n    align-items: center;\n    gap: 0.25rem;\n}\n\n.p-paginator-page.p-paginator-page-active {\n    background: ").concat(dt('highlight.background'), ";\n    color: ").concat(dt('highlight.color'), ";\n}\n\n.p-paginator-jtp-input .p-inputtext {\n    max-width: 2.5rem;\n}\n");
};
var classes = {
  paginator: function paginator(_ref2) {
    var instance = _ref2.instance,
      key = _ref2.key;
    return ['p-paginator p-component', _defineProperty({
      'p-paginator-default': !instance.hasBreakpoints()
    }, "p-paginator-".concat(key), instance.hasBreakpoints())];
  },
  contentStart: 'p-paginator-content-start',
  contentEnd: 'p-paginator-content-end',
  first: function first(_ref4) {
    var instance = _ref4.instance;
    return ['p-paginator-first', {
      'p-disabled': instance.$attrs.disabled
    }];
  },
  firstIcon: 'p-paginator-first-icon',
  prev: function prev(_ref5) {
    var instance = _ref5.instance;
    return ['p-paginator-prev', {
      'p-disabled': instance.$attrs.disabled
    }];
  },
  prevIcon: 'p-paginator-prev-icon',
  next: function next(_ref6) {
    var instance = _ref6.instance;
    return ['p-paginator-next', {
      'p-disabled': instance.$attrs.disabled
    }];
  },
  nextIcon: 'p-paginator-next-icon',
  last: function last(_ref7) {
    var instance = _ref7.instance;
    return ['p-paginator-last', {
      'p-disabled': instance.$attrs.disabled
    }];
  },
  lastIcon: 'p-paginator-last-icon',
  pages: 'p-paginator-pages',
  page: function page(_ref8) {
    var props = _ref8.props,
      pageLink = _ref8.pageLink;
    return ['p-paginator-page', {
      'p-paginator-page-active': pageLink - 1 === props.page
    }];
  },
  current: 'p-paginator-current',
  rowPerPageDropdown: 'p-paginator-rpp-dropdown',
  jumpToPageDropdown: 'p-paginator-jtp-dropdown',
  jumpToPageInput: 'p-paginator-jtp-input'
};
var PaginatorStyle = BaseStyle.extend({
  name: 'paginator',
  theme: theme,
  classes: classes
});

export { PaginatorStyle as default };
