import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-panel {\n    border: 1px solid ".concat(dt('panel.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    background: ").concat(dt('panel.background'), ";\n    color: ").concat(dt('panel.color'), ";\n}\n\n.p-panel-header {\n    display: flex;\n    justify-content: space-between;\n    align-items: center;\n    padding: 1.125rem;\n}\n\n.p-panel-toggleable .p-panel-header {\n    padding: 0.75rem 1.125rem;\n}\n\n.p-panel-title {\n    line-height: 1;\n    font-weight: 600;\n}\n\n.p-panel-content {\n    padding: 0 1.125rem 1.125rem 1.125rem;\n}\n\n.p-panel-footer {\n    padding: 0 1.125rem 1.125rem 1.125rem;\n}\n");
};
var classes = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return ['p-panel p-component', {
      'p-panel-toggleable': props.toggleable
    }];
  },
  header: 'p-panel-header',
  title: 'p-panel-title',
  headerActions: 'p-panel-header-actions',
  toggleButton: 'p-panel-toggle-button',
  contentContainer: 'p-panel-content-container',
  content: 'p-panel-content',
  footer: 'p-panel-footer'
};
var PanelStyle = BaseStyle.extend({
  name: 'panel',
  theme: theme,
  classes: classes
});

export { PanelStyle as default };
