import BaseStyle from 'primevue/base/style';

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-password {\n    display: inline-flex;\n    position: relative;\n}\n\n.p-password .p-password-overlay {\n    min-width: 100%;\n}\n\n.p-password-meter {\n    height: 10px;\n    margin-bottom: 0.75rem;\n    background: ".concat(dt('password.meter.border.color'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-password-meter-value {\n    height: 100%;\n    width: 0;\n    transition: width 1s ease-in-out;\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-password-meter-weak {\n    background: ").concat(dt('password.strength.weak.background'), ";\n}\n\n.p-password-meter-medium {\n    background: ").concat(dt('password.strength.medium.background'), ";\n}\n\n.p-password-meter-strong {\n    background: ").concat(dt('password.strength.strong.background'), ";\n}\n\n.p-fluid .p-password {\n    display: flex;\n}\n\n.p-password-input::-ms-reveal,\n.p-password-input::-ms-clear {\n    display: none;\n}\n\n.p-password-overlay {\n    padding: 0.75rem;\n    background: ").concat(dt('password.overlay.background'), ";\n    color: ").concat(dt('password.overlay.color'), ";\n    border: 1px solid ").concat(dt('password.overlay.border.color'), ";\n    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-password-toggle-mask-icon {\n    right: 0.75rem;\n    color: ").concat(dt('password.icon.color'), ";\n    position: absolute;\n    top: 50%;\n    margin-top: -0.5rem;\n    width: 1rem;\n    height: 1rem;\n}\n\n.p-password:has(.p-password-toggle-mask-icon) .p-password-input {\n    padding-right: 2.5rem;\n}\n");
};
var inlineStyles = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return {
      position: props.appendTo === 'self' ? 'relative' : undefined
    };
  }
};
var classes = {
  root: function root(_ref3) {
    var instance = _ref3.instance;
      _ref3.props;
    return ['p-password p-component p-inputwrapper', {
      'p-inputwrapper-filled': instance.filled,
      'p-inputwrapper-focus': instance.focused
    }];
  },
  input: 'p-password-input',
  hideIcon: 'p-password-toggle-mask-icon p-password-mask-icon',
  showIcon: 'p-password-toggle-mask-icon p-password-unmask-icon',
  panel: function panel(_ref4) {
    var instance = _ref4.instance;
    return ['p-password-overlay p-component', {
      'p-ripple-disabled': instance.$primevue.config.ripple === false
    }];
  },
  meter: 'p-password-meter',
  meterLabel: function meterLabel(_ref5) {
    var instance = _ref5.instance;
    return "p-password-meter-value ".concat(instance.meter ? 'p-password-meter-' + instance.meter.strength : '');
  },
  info: 'p-password-meter-text'
};
var PasswordStyle = BaseStyle.extend({
  name: 'password',
  theme: theme,
  classes: classes,
  inlineStyles: inlineStyles
});

export { PasswordStyle as default };
