this.primevue = this.primevue || {};
this.primevue.slider = this.primevue.slider || {};
this.primevue.slider.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var theme = function theme(_ref) {
      var dt = _ref.dt;
      return "\n.p-slider {\n    position: relative;\n    background: ".concat(dt('slider.track.background'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-slider-handle {\n    cursor: grab;\n    touch-action: none;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    height: 20px;\n    width: 20px;\n    background: ").concat(dt('slider.handle.background'), ";\n    border: 0 none;\n    border-radius: 50%;\n    transition: background ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    outline-color: transparent;\n}\n\n.p-slider-handle::before {\n    content: \"\";\n    width: 16px;\n    height: 16px;\n    display: block;\n    background-color: ").concat(dt('slider.handle.content.background'), ";\n    border-radius: 50%;\n    box-shadow: 0px 0.5px 0px 0px rgba(0, 0, 0, 0.08), 0px 1px 1px 0px rgba(0, 0, 0, 0.14);\n}\n\n.p-slider:not(.p-disabled) .p-slider-handle:hover {\n    background: ").concat(dt('slider.handle.hover.background'), ";\n    border-color: transparent;\n}\n\n.p-slider-handle:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: 0;\n}\n\n.p-slider-range {\n    display: block;\n    background: ").concat(dt('slider.range.background'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n}\n\n.p-slider.p-slider-horizontal {\n    height: 3px;\n}\n\n.p-slider-horizontal .p-slider-range {\n    top: 0;\n    left: 0;\n    height: 100%;\n}\n\n.p-slider-horizontal .p-slider-handle {\n    top: 50%;\n    margin-top: -10px;\n    margin-left: -10px;\n}\n\n.p-slider-vertical {\n    height: 100px;\n    width: 3px;\n}\n\n.p-slider-vertical .p-slider-handle {\n    left: 50%;\n    margin-left: -10px;\n    margin-bottom: -10px;\n}\n\n.p-slider-vertical .p-slider-range {\n    bottom: 0;\n    left: 0;\n    width: 100%;\n}\n");
    };
    var inlineStyles = {
      handle: {
        position: 'absolute'
      },
      range: {
        position: 'absolute'
      }
    };
    var classes = {
      root: function root(_ref2) {
        var props = _ref2.props;
        return ['p-slider p-component', {
          'p-disabled': props.disabled,
          'p-slider-horizontal': props.orientation === 'horizontal',
          'p-slider-vertical': props.orientation === 'vertical'
        }];
      },
      range: 'p-slider-range',
      handle: 'p-slider-handle'
    };
    var SliderStyle = BaseStyle__default["default"].extend({
      name: 'slider',
      theme: theme,
      classes: classes,
      inlineStyles: inlineStyles
    });

    return SliderStyle;

})(primevue.base.style);
