this.primevue = this.primevue || {};
this.primevue.stepper = this.primevue.stepper || {};
this.primevue.stepper.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var theme = function theme(_ref) {
      var dt = _ref.dt;
      return "\n.p-stepper-list {\n    position: relative;\n    display: flex;\n    justify-content: space-between;\n    align-items: center;\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    overflow-x: auto;\n}\n\n.p-stepper-item {\n    position: relative;\n    display: flex;\n    flex: 1 1 auto;\n    align-items: center;\n    padding: 0.5rem;\n}\n\n.p-stepper-item:last-of-type {\n    flex: initial;\n}\n\n.p-stepper-item-header {\n    border: 0 none;\n    display: inline-flex;\n    align-items: center;\n    text-decoration: none;\n    cursor: pointer;\n    transition: background-color ".concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    border-radius: ").concat(dt('rounded.base'), ";\n    outline-color: transparent;\n    background: transparent;\n}\n\n.p-stepper-item .p-stepper-item-header:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-stepper.p-stepper-readonly .p-stepper-item {\n    cursor: auto;\n}\n\n.p-stepper-item-title {\n    display: block;\n    white-space: nowrap;\n    overflow: hidden;\n    text-overflow: ellipsis;\n    max-width: 100%;\n    margin-left: 0.5rem;\n    color: ").concat(dt('stepper.title.color'), ";\n    font-weight: 500;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n}\n\n.p-stepper-item-number {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    position: relative;\n    color: ").concat(dt('stepper.marker.color'), ";\n    border: 1px solid ").concat(dt('stepper.marker.border.color'), ";\n    border-width: 2px;\n    background: ").concat(dt('stepper.marker.background'), ";\n    min-width: 2rem;\n    height: 2rem;\n    line-height: 2rem;\n    font-size: 1.143rem;\n    border-radius: 50%;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n}\n\n.p-stepper-item-number::after {\n    content: \" \";\n    position: absolute;\n    width: 100%;\n    height: 100%;\n    border-radius: 50%;\n    box-shadow: 0px 0.5px 0px 0px rgba(0, 0, 0, 0.06), 0px 1px 1px 0px rgba(0, 0, 0, 0.12);\n}\n\n.p-stepper-item-active .p-stepper-item-header {\n    cursor: default;\n}\n\n.p-stepper-item-active .p-stepper-item-number {\n    background: ").concat(dt('stepper.marker.active.background'), ";\n    color: ").concat(dt('stepper.marker.active.color'), ";\n}\n\n.p-stepper-item-active .p-stepper-item-title {\n    color: ").concat(dt('stepper.title.active.color'), ";\n}\n\n.p-stepper-item:not(.p-disabled):focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-stepper-item:has(~ .p-stepper-item-active) .p-stepper-separator {\n    background: ").concat(dt('stepper.connector.active.background'), ";\n}\n\n.p-stepper-separator {\n    flex: 1 1 0;\n    background: ").concat(dt('stepper.connector.background'), ";\n    width: 100%;\n    height: 2px;\n    margin-inline-start: 1rem;\n    transition: background-color ").concat(dt('transition.duration'), ", color ").concat(dt('transition.duration'), ", border-color ").concat(dt('transition.duration'), ", box-shadow ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n}\n\n.p-stepper-panels {\n    background: ").concat(dt('stepper.content.background'), ";\n    color: ").concat(dt('stepper.content.color'), ";\n    padding: 0.875rem 1.125rem 1.125rem 1.125rem;\n}\n\n.p-stepper-vertical .p-stepper-list {\n    flex-direction: column;\n}\n\n.p-stepper-vertical {\n    display: flex;\n    flex-direction: column;\n}\n\n.p-stepper-vertical .p-stepper-panel-content-container {\n    display: flex;\n    flex: 1 1 auto;\n}\n\n.p-stepper-vertical .p-stepper-panel {\n    display: flex;\n    flex-direction: column;\n    flex: initial;\n}\n\n.p-stepper-vertical .p-stepper-panel.p-stepper-panel-active {\n    flex: 1 1 auto;\n}\n\n.p-stepper-vertical .p-stepper-panel .p-stepper-item {\n    flex: initial;\n}\n\n.p-stepper-vertical .p-stepper-panel .p-stepper-panel-content {\n    width: 100%;\n    padding-left: 1rem;\n}\n\n.p-stepper-vertical .p-stepper-panel .p-stepper-separator {\n    flex: 0 0 auto;\n    width: 2px;\n    height: auto;\n    margin-inline-start: calc(1.75rem + 2px);\n}\n\n.p-stepper-vertical .p-stepper-panel:has(~ .p-stepper-panel-active) .p-stepper-separator {\n    background: ").concat(dt('stepper.connector.active.background'), ";\n}\n\n.p-stepper-vertical .p-stepper-panel:last-of-type .p-stepper-panel-content {\n    padding-left: 3rem;\n}\n");
    };
    var classes = {
      root: function root(_ref2) {
        var props = _ref2.props;
        return ['p-stepper p-component', {
          'p-stepper-horizontal': props.orientation === 'horizontal',
          'p-stepper-vertical': props.orientation === 'vertical',
          'p-readonly': props.linear
        }];
      },
      list: 'p-stepper-list',
      stepper: {
        item: function item(_ref3) {
          var instance = _ref3.instance;
            _ref3.step;
            var index = _ref3.index;
          return ['p-stepper-item', {
            'p-stepper-item-active': instance.isStepActive(index),
            'p-disabled': instance.isItemDisabled(index)
          }];
        },
        itemHeader: 'p-stepper-item-header',
        itemNumber: 'p-stepper-item-number',
        itemTitle: 'p-stepper-item-title',
        separator: 'p-stepper-separator',
        panelContentContainer: 'p-stepper-panel-content-container',
        panelContent: 'p-stepper-panel-content'
      },
      panels: 'p-stepper-panels',
      panel: function panel(_ref4) {
        var instance = _ref4.instance,
          props = _ref4.props,
          index = _ref4.index;
        return ['p-stepper-panel', {
          'p-stepper-panel-active': props.orientation === 'vertical' && instance.isStepActive(index)
        }];
      }
    };
    var StepperStyle = BaseStyle__default["default"].extend({
      name: 'stepper',
      theme: theme,
      classes: classes
    });

    return StepperStyle;

})(primevue.base.style);
