'use strict';

var BaseStyle = require('primevue/base/style');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

var theme = function theme(_ref) {
  var dt = _ref.dt;
  return "\n.p-tabs {\n    display: flex;\n    flex-direction: column;\n}\n\n.p-tablist {\n    position: relative;\n}\n\n.p-tabs-scrollable > .p-tablist {\n    overflow: hidden;\n}\n\n.p-tablist-viewport {\n    overflow-x: auto;\n    overflow-y: hidden;\n    scroll-behavior: smooth;\n    scrollbar-width: none;\n    overscroll-behavior: contain auto;\n}\n\n.p-tablist-viewport::-webkit-scrollbar {\n    display: none;\n}\n\n.p-tablist-tab-list {\n    position: relative;\n    display: flex;\n    background: ".concat(dt('tabs.nav.background'), ";\n    border: 1px solid ").concat(dt('tabs.nav.border.color'), ";\n    border-width: 0 0 1px 0;\n}\n\n.p-tablist-prev-button,\n.p-tablist-next-button {\n    all: unset;\n    position: absolute;\n    top: 0;\n    z-index: 2;\n    height: 100%;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    background: ").concat(dt('tabs.navigator.icon.background'), ";\n    color: ").concat(dt('tabs.navigator.icon.color'), ";\n    width: 2.5rem;\n    transition: color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    box-shadow: ").concat(dt('tabs.navigator.icon.box.shadow'), ";\n    cursor: pointer;\n}\n\n.p-tablist-prev-button:focus-visible,\n.p-tablist-next-button:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-tablist-prev-button:hover,\n.p-tablist-next-button:hover {\n    color: ").concat(dt('tabs.navigator.icon.hover.color'), ";\n}\n\n.p-tablist-prev-button {\n    left: 0;\n}\n\n.p-tablist-next-button {\n    right: 0;\n}\n\n.p-tab {\n    cursor: pointer;\n    border-style: solid;\n    border-width: 0 0 1px 0;\n    border-color: transparent transparent ").concat(dt('tabs.header.border.color'), " transparent;\n    color: ").concat(dt('tabs.header.color'), ";\n    background: ").concat(dt('tabs.nav.background'), ";\n    padding: 1rem 1.125rem;\n    font-weight: 600;\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-top-left-radius: ").concat(dt('rounded.base'), ";\n    transition: color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    margin: 0 0 -1px 0;\n    outline-color: transparent;\n    line-height: 1;\n    white-space: nowrap;\n}\n\n.p-tab:not(.p-disabled):focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: -1px;\n}\n\n.p-tab:not(.p-tab-active):not(.p-disabled):hover {\n    color: ").concat(dt('tabs.header.hover.color'), ";\n}\n\n.p-tab-active {\n    color: ").concat(dt('tabs.header.active.color'), ";\n}\n\n.p-tabpanels {\n    background: ").concat(dt('tabs.navigator.content.background'), ";\n    color: ").concat(dt('tabs.navigator.content.color'), ";\n    padding: 0.875rem 1.125rem 1.125rem 1.125rem;\n}\n\n.p-tablist-active-bar {\n    z-index: 1;\n    display: block;\n    position: absolute;\n    bottom: -1px;\n    height: 1px;\n    background-color: ").concat(dt('tabs.header.active.border.color'), ";\n    transition: 250ms cubic-bezier(0.35, 0, 0.25, 1);\n}\n");
};
var classes = {
  root: function root(_ref2) {
    var props = _ref2.props;
    return ['p-tabs p-component', {
      'p-tabs-scrollable': props.scrollable
    }];
  }
};
var TabsStyle = BaseStyle__default["default"].extend({
  name: 'tabs',
  theme: theme,
  classes: classes
});

module.exports = TabsStyle;
