this.primevue = this.primevue || {};
this.primevue.tabview = this.primevue.tabview || {};
this.primevue.tabview.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var theme = function theme(_ref) {
      var dt = _ref.dt;
      return "\n.p-tabview-tablist-container {\n    position: relative;\n}\n\n.p-tabview-scrollable > .p-tabview-tablist-container {\n    overflow: hidden;\n}\n\n.p-tabview-tablist-scroll-container {\n    overflow-x: auto;\n    overflow-y: hidden;\n    scroll-behavior: smooth;\n    scrollbar-width: none;\n    overscroll-behavior: contain auto;\n}\n\n.p-tabview-tablist-scroll-container::-webkit-scrollbar {\n    display: none;\n}\n\n.p-tabview-tablist {\n    display: flex;\n    margin: 0;\n    padding: 0;\n    list-style-type: none;\n    flex: 1 1 auto;\n    background: ".concat(dt('tabview.nav.background'), ";\n    border: 1px solid ").concat(dt('tabview.nav.border.color'), ";\n    border-width: 0 0 1px 0;\n    position: relative;\n}\n\n.p-tabview-tab-header {\n    cursor: pointer;\n    user-select: none;\n    display: flex;\n    align-items: center;\n    text-decoration: none;\n    position: relative;\n    overflow: hidden;\n    border-style: solid;\n    border-width: 0 0 1px 0;\n    border-color: transparent transparent ").concat(dt('tabview.header.border.color'), " transparent;\n    color: ").concat(dt('tabview.header.color'), ";\n    padding: 1rem 1.125rem;\n    font-weight: 600;\n    border-top-right-radius: ").concat(dt('rounded.base'), ";\n    border-top-left-radius: ").concat(dt('rounded.base'), ";\n    transition: color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    margin: 0 0 -1px 0;\n    outline-color: transparent;\n}\n\n.p-tabview-tablist-item:not(.p-disabled) .p-tabview-tab-header:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: -1px;\n}\n\n.p-tabview-tablist-item:not(.p-highlight):not(.p-disabled):hover > .p-tabview-tab-header {\n    color: ").concat(dt('tabview.header.hover.color'), ";\n}\n\n.p-tabview-tablist-item.p-highlight > .p-tabview-tab-header {\n    color: ").concat(dt('tabview.header.active.color'), ";\n}\n\n.p-tabview-tab-title {\n    line-height: 1;\n    white-space: nowrap;\n}\n\n.p-tabview-next-button,\n.p-tabview-prev-button {\n    position: absolute;\n    top: 0;\n    margin: 0;\n    padding: 0;\n    z-index: 2;\n    height: 100%;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    background: ").concat(dt('tabview.navigator.icon.background'), ";\n    color: ").concat(dt('tabview.navigator.icon.color'), ";\n    width: 2.5rem;\n    border-radius: 0;\n    outline-color: transparent;\n    transition: color ").concat(dt('transition.duration'), ", outline-color ").concat(dt('transition.duration'), ";\n    box-shadow: ").concat(dt('tabview.navigator.icon.box.shadow'), ";\n    border: none;\n    cursor: pointer;\n    user-select: none;\n}\n\n.p-tabview-next-button:focus-visible,\n.p-tabview-prev-button:focus-visible {\n    outline: ").concat(dt('focus.ring.width'), " ").concat(dt('focus.ring.style'), " ").concat(dt('focus.ring.color'), ";\n    outline-offset: ").concat(dt('focus.ring.offset'), ";\n}\n\n.p-tabview-next-button:hover,\n.p-tabview-prev-button:hover {\n    color: ").concat(dt('tabview.navigator.icon.hover.color'), ";\n}\n\n.p-tabview-prev-button {\n    left: 0;\n}\n\n.p-tabview-next-button {\n    right: 0;\n}\n\n.p-tabview-panels {\n    background: ").concat(dt('tabview.navigator.content.background'), ";\n    color: ").concat(dt('tabview.navigator.content.color'), ";\n    padding: 0.875rem 1.125rem 1.125rem 1.125rem;\n}\n\n.p-tabview-ink-bar {\n    z-index: 1;\n    display: block;\n    position: absolute;\n    bottom: -1px;\n    height: 1px;\n    background-color: ").concat(dt('tabview.header.active.border.color'), ";\n    transition: 250ms cubic-bezier(0.35, 0, 0.25, 1);\n}\n");
    };
    var classes = {
      root: function root(_ref2) {
        var props = _ref2.props;
        return ['p-tabview p-component', {
          'p-tabview-scrollable': props.scrollable
        }];
      },
      navContainer: 'p-tabview-tablist-container',
      previousButton: 'p-tabview-prev-button',
      navContent: 'p-tabview-tablist-scroll-container',
      nav: 'p-tabview-tablist',
      tab: {
        header: function header(_ref3) {
          var instance = _ref3.instance,
            tab = _ref3.tab,
            index = _ref3.index;
          return ['p-tabview-tablist-item', instance.getTabProp(tab, 'headerClass'), {
            'p-tabview-tablist-item-active': instance.d_activeIndex === index,
            'p-disabled': instance.getTabProp(tab, 'disabled')
          }];
        },
        headerAction: 'p-tabview-tab-header',
        headerTitle: 'p-tabview-tab-title',
        content: function content(_ref4) {
          var instance = _ref4.instance,
            tab = _ref4.tab;
          return ['p-tabview-panel', instance.getTabProp(tab, 'contentClass')];
        }
      },
      inkbar: 'p-tabview-ink-bar',
      nextButton: 'p-tabview-next-button',
      panelContainer: 'p-tabview-panels'
    };
    var TabViewStyle = BaseStyle__default["default"].extend({
      name: 'tabview',
      theme: theme,
      classes: classes
    });

    return TabViewStyle;

})(primevue.base.style);
